### Hierarchy

- AtomTest
  - AtomItemListTest

## Index

### Constructors

- constructor

### Properties

- app
- logText

### Methods

- clearSelection
- createViewModel
- delay
- dispose
- find
- getLabels
- init
- log
- replaceMultipleSelectedValues
- reselect
- selectIndexMinusOne
- selectItemMethod
- selectMethod
- selectMultiple
- selectMultipleValues
- setValue
- singleItem
- syncItems

## Constructors

### constructor

- new AtomItemListTest(app?: MockApp): AtomItemListTest

- Inherited from AtomTest.constructor

  - Defined in unit/AtomTest.ts:6

  #### Parameters

  - ##### Default value app: MockApp = new MockApp()

  #### Returns AtomItemListTest

## Properties

### Protected app

app: MockApp

Inherited from AtomTest.app

- Defined in unit/AtomTest.ts:8

### logText

logText: string

Inherited from TestItem.logText

- Defined in /home/runner/work/web-atoms-core/web-atoms-core/node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:2

## Methods

### clearSelection

- clearSelection(): void

- - Defined in tests/core/AtomItemListTest.ts:50

  #### Returns void

### createViewModel

- createViewModel<T>(c: IClassOf<T>): Promise<T>

- Inherited from AtomTest.createViewModel

  - Defined in unit/AtomTest.ts:12

  #### Type parameters

  - #### T: AtomViewModel

  #### Parameters

  - ##### c: IClassOf<T>

  #### Returns Promise<T>

### delay

- delay(n: number): Promise<any>

- Inherited from TestItem.delay

  - Defined in /home/runner/work/web-atoms-core/web-atoms-core/node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:6

  #### Parameters

  - ##### n: number

  #### Returns Promise<any>

### dispose

- dispose(): Promise<any>

- Inherited from TestItem.dispose

  - Defined in /home/runner/work/web-atoms-core/web-atoms-core/node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:4

  #### Returns Promise<any>

### find

- find(): void

- - Defined in tests/core/AtomItemListTest.ts:161

  #### Returns void

### getLabels

- getLabels(): void

- - Defined in tests/core/AtomItemListTest.ts:182

  #### Returns void

### init

- init(): Promise<any>

- Inherited from TestItem.init

  - Defined in /home/runner/work/web-atoms-core/web-atoms-core/node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:3

  #### Returns Promise<any>

### log

- log(text: string): void

- Inherited from TestItem.log

  - Defined in /home/runner/work/web-atoms-core/web-atoms-core/node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:5

  #### Parameters

  - ##### text: string

  #### Returns void

### replaceMultipleSelectedValues

- replaceMultipleSelectedValues(): void

- - Defined in tests/core/AtomItemListTest.ts:118

  #### Returns void

### reselect

- reselect(): void

- - Defined in tests/core/AtomItemListTest.ts:63

  #### Returns void

### selectIndexMinusOne

- selectIndexMinusOne(): void

- - Defined in tests/core/AtomItemListTest.ts:101

  #### Returns void

### selectItemMethod

- selectItemMethod(): void

- - Defined in tests/core/AtomItemListTest.ts:147

  #### Returns void

### selectMethod

- selectMethod(): void

- - Defined in tests/core/AtomItemListTest.ts:134

  #### Returns void

### selectMultiple

- selectMultiple(): void

- - Defined in tests/core/AtomItemListTest.ts:74

  #### Returns void

### selectMultipleValues

- selectMultipleValues(): void

- - Defined in tests/core/AtomItemListTest.ts:88

  #### Returns void

### setValue

- setValue(): void

- - Defined in tests/core/AtomItemListTest.ts:39

  #### Returns void

### singleItem

- singleItem(): void

- - Defined in tests/core/AtomItemListTest.ts:28

  #### Returns void

### syncItems

- syncItems(): void

- - Defined in tests/core/AtomItemListTest.ts:10

  #### Returns void

Generated using TypeDoc